<?php
Blacklist::addSqlQuery(
    'GET_BLACKLIST',
    'SELECT * FROM MJ_BLACKLIST_IP'
);

Blacklist::addSqlQuery(
    'CHECK_BLACKLIST',
    'SELECT IP FROM MJ_BLACKLIST_IP WHERE IP=:ip'
);

Blacklist::addSqlQuery(
    'ADD_BLACKLIST',
    'INSERT INTO MJ_BLACKLIST_IP (ID_BLACKLIST, IP, DATE_BAN)
    VALUES (NULL, :ip, :date)'
);

Blacklist::addSqlQuery(
    'REMOVE_BLACKLIST',
    'DELETE FROM MJ_BLACKLIST_IP WHERE IP=:ip'
);